ome-xml 5.2.3

Public Member Functions | Public Attributes | List of all members
ome::xml::model::ImagingEnvironment::Impl Class Reference

Private implementation details of ImagingEnvironment model object. More...

## Public Member Functions
| Impl ()
| Default constructor.
| Impl (const Impl &copy)
| Copy constructor.

## Public Attributes
ome::compat::shared_ptr< ome::xml::model::primitives::PercentFraction > | co2Percent
| CO2Percent property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsTemperature > > | temperature
| Temperature property.
ome::compat::shared_ptr< ome::xml::model::primitives::Quantity< ome::xml::model::enums::UnitsPressure > > | airPressure
| AirPressure property.
ome::compat::shared_ptr< ome::xml::model::primitives::PercentFraction > | humidity
| Humidity property.
ome::compat::shared_ptr< ome::xml::model::primitives::OrderedMultimap > | map
| Map property.

## Detailed Description

Private implementation details of ImagingEnvironment model object.

The documentation for this class was generated from the following file:

- ome/xml/model/ImagingEnvironment.cpp